Bug 1362553 (CVE-2016-6494) - CVE-2016-6494 mongodb: world-readable .dbshell history file
Summary: CVE-2016-6494 mongodb: world-readable .dbshell history file
Status: CLOSED WONTFIX
Alias: CVE-2016-6494
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160801,reported=2...
Keywords: Security
Depends On: 1362554 1362555
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 13:39 UTC by Martin Prpič
Modified: 2019-06-08 21:22 UTC (History)
62 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-02 13:41:50 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-02 13:39:02 UTC
It was found that MongoDB creates a world-readable .dbshell history file in a user's directory:

The mongodb client doesn't store authentication commands, but there's still information leakage, though, even if only about database and collection names, or data structure.

As for data itself, the history could also contain sensitive information; for instance, if usernames for some other service were stored in a mongo collection, the history could contain lines like:

  db.users.find({user:"foo"})

or even:

  db.users.update({user:"foo"},{$set:{password:"OhComeOnNow"}})

Upstream bug (closed as "Works as Designed"):

https://jira.mongodb.org/browse/SERVER-25335

CVE request:

http://seclists.org/oss-sec/2016/q3/199

Comment 1 Martin Prpič 2016-08-02 13:40:47 UTC
Created mongodb tracking bugs for this issue:

Affects: fedora-all [bug 1362554]
Affects: epel-all [bug 1362555]

Comment 2 Marek Skalický 2016-08-02 14:18:37 UTC
So should be Fedora and EPEL bugs fixed if this bug is closed as WONTFIX?

Comment 3 Martin Prpič 2016-08-02 14:33:50 UTC
(In reply to Marek Skalický from comment #2)
> So should be Fedora and EPEL bugs fixed if this bug is closed as WONTFIX?

I'll leave that decision to the Fedora/EPEL maintaner but seeing as this was closed upstream, and home directories in RHEL and Fedora are not world readable to other users, I don't see this as something worth developing an out-of-band patch for.

Comment 4 Pavel Raiskup 2016-09-27 06:15:25 UTC
FWIW, this seems to be fixed upstream in the end, in link from comment #0.

Comment 5 Marek Skalický 2016-09-27 08:46:27 UTC
Fedora/EPEL bugs are already fixed/in testing.


Note You need to log in before you can comment on or make changes to this bug.